<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Metodos para cadenas de texto</title>
</head>
<body>
    <script>
        var nombre="Roberto Jesus";
        //corta los primeros cracteres //i.e en 5 solo muestra to Jesus
        //var nuevoTexto=texto.substring(5);


        //con substr muestra los valores que quieres i.e Roberto 
        //var nuevoTexto=texto.substr(0,7)

        //indexOf nos dice la pasion de la letra i.e 8
        //con el segundo parametro la dices desde donde quieres que busque
        //var t1=texto.indexOf("e")
        //var nuevoTexto=texto.indexOf("e",t1);


        //lastIndexOf 
        //replace remplasa una cadena por otra o solo una letra
        //var nuevoTexto=texto.replace("Jesus", "eres el mejor");
        //var nuevoTexto=texto.replace("s","!");
        
        //toUpperCase(); conbierta todo en mayuculas
        //toLowerCase(); conbierta todo a minusculas
    </script>
</body>
</html>